<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
            "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Web Tools Platform 1.0 M4 News</title>
<link rel="stylesheet"
	href="../../../../../../development/news/default_style.css" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/ >
<meta name="GENERATOR" content="WTP HTML Source Editor" />
</head>
<body>
<h1>Web Tools Platform 1.0M4 - New and Noteworthy</h1>
<h3>Work in progress</h3>
<p>This milestone has been targetted to completing API review and javadoc.
Here are some noteworthy features to explore in this milestone:</p>
<p></p>
<table border="0" cellpadding="10" cellspacing="0" width="85%">
	<tbody>
		<!-- separating row -->
		<tr>
			<td colspan="2">
			<hr />
			</td>
		</tr>
		<!-- separating row -->
		<tr>
			<td colspan="2">
			<h3>Server Tools</h3>
			</td>
		</tr>
		<!-- separating row -->
		<tr>
			<td colspan="2">
			<hr />
			</td>
		</tr>
		<!-- new item -->
		<tr>
			<td align="right" valign="top" width="15%"><b>Servers View</b></td>
			<td align="left" valign="top" width="85%">
			<p>The Servers view now shows the modules that are deployed to a server
			   as tree elements underneath the server. Status of the server and modules
			   is now shown in the tree, and other state information (e.g. started/stopped
			   for each individual module) will be shown in future milestones.</p>
			<img border="0" src="images/serversTree.gif" alt="Servers view"/></td>
		</tr>
		<!-- separating row -->
		<tr>
			<td colspan="2">
			<hr />
			</td>
		</tr>
		<!-- new item -->
		<tr>
			<td align="right" valign="top" width="15%"><b>Build Classpath</b></td>
			<td align="left" valign="top" width="85%">
			<p>The build classpath (runtime classpath container) can now be editted
			   to provide source paths and javadoc attachments, just like regular
			   classpath entries.</p>
			<img border="0" src="images/classpath.gif" alt="Build classpath"/></td>
		</tr>
		<!-- separating row -->
		<tr>
			<td colspan="2">
			<hr />
			</td>
		</tr>
		<!-- new item -->
		<tr>
			<td align="right" valign="top" width="15%"><b>Internal Browser</b></td>
			<td align="left" valign="top" width="85%">
			<p>The internal browser and launching support was donated down to the
			   Eclipse platform for 3.1M6. Besides a few additional features, all
			   support has been removed from WTP.</p>
			<img border="0" src="images/browser.gif" alt="Browser preferences"/></td>
		</tr>
		<!-- separating row -->
		<tr>
			<td colspan="2">
			<hr />
			</td>
		</tr>
		<!-- new item -->
		<tr>
			<td align="right" valign="top" width="15%"><b>Tomcat Context Support</b></td>
			<td align="left" valign="top" width="85%">
			<p>The Tomcat server now supports context information placed within the
			   module. This allows you to edit the context directly inside the workspace
			   and have it automatically deployed when switching Tomcat servers.</p></td>
		</tr>
		<!-- separating row -->
		<tr>
			<td colspan="2">
			<hr />
			</td>
		</tr>
		<!-- new item -->
		<tr>
			<td align="right" valign="top" width="15%"><b>Internet Cache</b></td>
			<td align="left" valign="top" width="85%">
			<p>An internet cache has been introduced in M4. This component caches requested 
               remote resources preventing remote access on subsequent requests for the resources. 
			   The cache respects suggested expiration times for remote resources and can be 
			   configured through user preferences. A background job, which caches resources that
			   were unable to be cached when first requested, is also included.</p>
			<img border="0" src="images/cache.gif" alt="Internet Cache preference page"/></td>
		</tr>
	  <!-- separating row -->
		<tr>
			<td colspan="2">
			<hr />
			</td>
		</tr>
		<!-- new item -->
		<tr>
			<td align="right" valign="top" width="15%"><b>Generic server presentation</b></td>
			<td align="left" valign="top" width="85%">
			<p>Each application server defined as a generic server is defined and presented individually.
			Prior to M4 they were presented under a single generic server entry.
			 </p>
			<img border="0" src="images/genericServerTree.gif" alt="New Runtime Generic Server Tree"/></td>
		</tr>
		
	</tbody>
</table>
<p align="center">
	<a href="../../../../sse/M4/news/sse-m4.html">Previous</a>
	&nbsp;&nbsp;&nbsp;&nbsp;
	<a href="../../../../../../development/news/1.0M4.html">Up</a>
	&nbsp;&nbsp;&nbsp;&nbsp;
	<a href="../../../../xml/M4/new_and_noteworthy/xml-m4.html">Next</a>
</p>
</body>
</html>
